{
  "name": "demo",
  "version": "0.1.0",
  "private": true,
  "main": "node_modules/expo/AppEntry.js",
  "scripts": {
    "start": "expo start",
    "android": "expo start --android",
    "ios": "expo start --ios",
    "eject": "expo eject",
    "test": "set NODE_ENV=test && node ./node_modules/jest/bin/jest.js --watchAll",
    "test-ci": "set NODE_ENV=test && node node_modules/jest/bin/jest.js"
  },
  "jest": {
    "preset": "jest-expo",
    "setupFiles": [
      "./jest/setup.js"
    ],
    "testPathIgnorePatterns": [
      "/node_modules/",
      "/__tests__/__data__/"
    ],
    "transformIgnorePatterns": [
      "node_modules/(?!react-native|react-navigation)/"
    ],
    "collectCoverage": true,
    "collectCoverageFrom": [
      "**/app/**/*.{js,jsx}",
      "!**/app/resources/**",
      "!**/app/images/**",
      "!**/app/config/**"
    ],
    "coverageThreshold": {
      "global": {
        "branches": 0,
        "functions": 0,
        "lines": 0,
        "statements": 0
      }
    }
  },
  "prettier": {
    "printWidth": 128,
    "tabWidth": 2,
    "singleQuote": true,
    "trailingComma": "es5",
    "semi": true
  },
  "dependencies": {
    "axios": "^0.18.0",
    "base-64": "0.1.0",
    "expo": "^30.0.1",
    "firebase": "^4.2.0",
    "lodash": "^4.17.10",
    "md5": "^2.2.1",
    "moment-timezone": "^0.5.14",
    "prop-types": "^15.6.0",
    "react": "16.3.1",
    "react-native": "https://github.com/expo/react-native/archive/sdk-30.0.0.tar.gz",
    "react-native-animatable": "^1.3.0",
    "react-native-dash": "^0.0.9",
    "react-native-elements": "1.0.0-beta7",
    "react-native-htmlview": "^0.13.0",
    "react-native-image-header-scroll-view": "^0.8.2",
    "react-native-keyboard-text-input": "^0.1.14",
    "react-native-material-dropdown": "^0.11.1",
    "react-native-material-textfield": "^0.12.0",
    "react-native-modal-datetime-picker": "^6.0.0",
    "react-native-modal-selector": "0.0.29",
    "react-native-popup-menu": "^0.15.0",
    "react-native-qrcode": "^0.2.7",
    "react-native-snap-carousel": "^3.7.5",
    "react-native-swipeout": "^2.3.6",
    "react-native-swiper": "^1.5.14",
    "react-navigation": "^2.16.0",
    "react-redux": "^5.0.5",
    "redux": "3.3.1",
    "redux-logger": "^3.0.6",
    "redux-thunk": "^2.2.0",
    "sentry-expo": "~1.9.0",
    "teko-js-sale-library": "^1.0.8",
    "teko-promotion-parser": "^0.0.43"
  },
  "devDependencies": {
    "babel-eslint": "^8.2.3",
    "enzyme": "^3.3.0",
    "enzyme-adapter-react-16": "^1.5.0",
    "enzyme-to-json": "^3.3.4",
    "eslint": "^4.19.1",
    "eslint-loader": "^2.0.0",
    "eslint-plugin-import": "^2.12.0",
    "eslint-plugin-react": "^7.9.1",
    "eslint-plugin-react-native": "^3.2.1",
    "jest": "^22.4.4",
    "jest-expo": "30.0.0",
    "prettier": "^1.9.2",
    "react-dom": "16.3.1",
    "react-test-renderer": "16.5.0",
    "redux-mock-store": "^1.3.0",
    "teko-js-sale-cli": "^1.0.3"
  }
}
